A Game of Dwarves > General > Topic Details
I B FRAGGIN U Oct 26, 2012 @ 1:12pm
Do you guys think this game will ever run on XP?
I already know it doesn't, which makes me sad. So do you guys think that any time in the future this game will run on XP?
Showing 1-15 of 21 comments
< >
Dragoon209 Oct 26, 2012 @ 1:14pm 
I sincerely doubt it, I'm sorry! I was reading another post on here about WHY it doesn't run, and it doesn't sound like there will be a fix. If there is, I doubt it will be official.
[Toad] Dudler  [developer] Oct 26, 2012 @ 1:19pm 
we use this engine http://www.bitsquid.se/ it has no DX 9 support. If it ever implement it then I think it would be possible. But it is sadly unlikly as Xp is a smaller and smaller userbase.
Strobo"TheJingle"Wolf Oct 27, 2012 @ 1:30pm 
Oh no. And now I've already bought this game... well, have to wait until I'm able to upgrade my PC...
I B FRAGGIN U Oct 27, 2012 @ 10:32pm 
Same boat as me then...
Drib Oct 28, 2012 @ 5:55am 
What? This doesn't run in XP?

Well ♥♥♥♥, now I'm out ten bucks for a game I can't play.
JCVD Oct 28, 2012 @ 7:55am 
This is unfortunate. There should be a disclaimer on the store page somewhere, as I'm now in the same boat...having paid $10 for a game that's now useless to me.

XP having a "smaller & smaller userbase" isn't an excuse for not offering support or notice but still gladly accepting unsuspecting users cash anyways. You're letting potential loyal customers down Zeal, I'm very disappointed.
Lillarpy  [developer] Oct 28, 2012 @ 8:15am 
I can only say that we are sorry you bought the game and do not fill the Minimum Requirements. We have no intention what so ever selling the game to people who can not play it.

It is clearly stated in the Requirements that this is a Windows7/Vista game:

OS:Windows Vista / Windows 7

Also another requirement is DX10 which XP does not support.
[Toad] Dudler  [developer] Oct 28, 2012 @ 9:48am 
Originally posted by Teklis:
This is unfortunate. There should be a disclaimer on the store page somewhere, as I'm now in the same boat...having paid $10 for a game that's now useless to me.

XP having a "smaller & smaller userbase" isn't an excuse for not offering support or notice but still gladly accepting unsuspecting users cash anyways. You're letting potential loyal customers down Zeal, I'm very disappointed.

I'm sorry and I understand that you are angry for buying a game that your system dose not support. But sadly there is not much we can do but to write it in the reqiuerments. Then it could be nice if valve did a popupp notice if you are on a operating system that dosen't support the game. But it is like it is... on another note I think there is more and more games that will drop XP support. So uppgrade to Windows 7? : D
Scorcher24 Oct 28, 2012 @ 10:10am 
Originally posted by Teklis:
This is unfortunate. There should be a disclaimer on the store page somewhere, as I'm now in the same boat...having paid $10 for a game that's now useless to me.

XP having a "smaller & smaller userbase" isn't an excuse for not offering support or notice but still gladly accepting unsuspecting users cash anyways. You're letting potential loyal customers down Zeal, I'm very disappointed.
Stop this seriously. It is your own fault. Period. Stop using a 11 year old OS and expecting every game to support it.
And it states that on the store page very clearly. Read the fkin system requirements.
Last edited by Scorcher24; Oct 28, 2012 @ 10:14am
GeminiEclipse Oct 28, 2012 @ 6:37pm 
As much as I dislike games not supporting XP, it is the customer's responsibility to check system requirements for PC games.
JCVD Oct 28, 2012 @ 7:03pm 
To Lillarpy & Dudler: Thanks for at least responding in short order and understanding where I'm coming from.

To the last couple posters, yes, at the end of the day you're right...I should have been more thorough in checking the reqs. But the point is XP is still a pretty common OS that near all games are backwards compatible with. I'd expect as much from a sim game such as this, after all we're not talking BF3 or some other system-pushing AAA title.

I'll direct everyone to the Steam Store page for Railroad Tycoon 3 (http://store.steampowered.com/app/7610/?snr=1_7_suggest__13) which clearly indicates the lack of compatibility with other very common OS'. Something like this would have been appreciated and if it can still be applied I'm sure it'd help others avoid the same oversight.
[Toad] Dudler  [developer] Oct 28, 2012 @ 8:24pm 
Originally posted by Teklis:
To Lillarpy & Dudler: Thanks for at least responding in short order and understanding where I'm coming from.

To the last couple posters, yes, at the end of the day you're right...I should have been more thorough in checking the reqs. But the point is XP is still a pretty common OS that near all games are backwards compatible with. I'd expect as much from a sim game such as this, after all we're not talking BF3 or some other system-pushing AAA title.

I'll direct everyone to the Steam Store page for Railroad Tycoon 3 (http://store.steampowered.com/app/7610/?snr=1_7_suggest__13) which clearly indicates the lack of compatibility with other very common OS'. Something like this would have been appreciated and if it can still be applied I'm sure it'd help others avoid the same oversight.


Thanks! din't even know that was an option. But I will make sure that we have a look in adding a notice like this. We have no intrest in fooling people into buying the game that can't play it.
Kura_VII Oct 29, 2012 @ 12:05am 
This is why you read the sys requirements before buying a game
Showing 1-15 of 21 comments
< >
Per page: 15 30 50